Accéder au contenu

Seedream 5.0 Pro Edit

Intégrer

Identifiant du modèle bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Fichiers comme dans l'exemple: 0,14 $ 140 crédits API vos fichiers sont mesurés avant l'exécution L'exécuter sur cette page

Obtenir une clé API
ByteDance Édition d’image #editing#multi-reference#2k

Édition multi-images avec Seedream 5.0 Pro, combinant jusqu’à dix références en une image 2K.

Créé sur Doitong

Créations publiques réalisées avec Seedream 5.0 Pro par la communauté Doitong. Réutilisez une invite en un clic.

Créations publiques affichées : 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Nepal, 1993. The main character is a 3-year-old girl, seen in an ordinary modest village setting. Scene: A cake...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Mumbai, India, 1996. The main character is a 8-year-old girl, seen in an ordinary poor city setting. Scene: You...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Bamenda, Cameroon, 1973. The main character is a 5-year-old boy, seen in an ordinary poor city setting. Scene:...

A cinematic film still, vertical 9:16, natural light, documentary realism, no text, no captions. ...

A cinematic film still, vertical 9:16, natural light, documentary realism, no text, no captions. Bengaluru, India, 1967. The main character is a 3-year-old boy, seen in an ordinary modest city setting. Scene: A cake with candles. You blow so hard that wax lands on the icing, and everyone claps...

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour lorsque vous les modifiez.

•obligatoire

Instructions textuelles pour modifier l’image.

•obligatoire image_urls
Déposez un fichier ou

URL des images de référence, le traitement étant limité aux 10 dernières entrées lorsque la liste envoyée dépasse le maximum pris en charge de 10 images.

image_size par défaut auto_2K

Dimensions de l’image de sortie, nécessitant un nombre total de pixels compris entre 1024x1024 et 2048x2048 et un rapport hauteur/largeur compris entre 1/16 et 16.

num_images par défaut 1

Nombre d’exécutions indépendantes de génération du modèle à l’aide de l’invite.

Avancé output_format · enhance_prompt_mode
output_format par défaut jpeg

Format de fichier de l’image de sortie.

enhance_prompt_mode par défaut standard

Réglage d’optimisation de l’invite : choisissez `standard` pour privilégier la qualité de l’image ou `fast` pour réduire la durée de génération.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 devis → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement à la Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

À propos de Seedream 5.0 Pro Edit

Fournissez à Seedream 5.0 Pro jusqu’à dix images de référence (produits, logos, personnes, lieux) et décrivez comment les combiner ou les modifier ; les matériaux et le lettrage restent fidèles. Sortie de 1 à 4 mégapixels, jusqu’à six images par requête.

Paramètres

Envoyez soit le nom canonique, soit le nom natif, mais pas les deux. Noms canoniques

NomType Par défautAutorisé Description
promptobligatoire
Typestring
Instructions textuelles pour modifier l’image.
image_sizefacultatif
Typeobject
Par défautauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimensions de l’image de sortie, nécessitant un nombre total de pixels compris entre 1024x1024 et 2048x2048 et un rapport hauteur/largeur compris entre 1/16 et 16.
num_imagesfacultatif num_outputs
Typeinteger
Par défaut1
1 – 6
Nombre d’exécutions indépendantes de génération du modèle à l’aide de l’invite.
output_formatfacultatif
Typeenum
Par défautjpeg
jpegpng
Format de fichier de l’image de sortie.
enhance_prompt_modefacultatif
Typeenum
Par défautstandard
standardfast
Réglage d’optimisation de l’invite : choisissez `standard` pour privilégier la qualité de l’image ou `fast` pour réduire la durée de génération.
image_urlsobligatoire images
Typeurl[] · image
URL des images de référence, le traitement étant limité aux 10 dernières entrées lorsque la liste envoyée dépasse le maximum pris en charge de 10 images.
obligatoire Nom canonique, également accepté

Les paramètres de fichier acceptent une URL publique https://, un URI data: jusqu'à 10 MB ou le file_url d'un téléversement. Fichiers

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie sur notre stockage : conservée indéfiniment (facturation par Go-mois) ou 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Une structure identique pour chaque modèletype, url, content_type, width, height et duration, pour les images, les vidéos et l'audio. output est l'objet de résultat propre au modèle.
Champs de sortie
images
array of object {url, content_type, file_name, file_size, width, height}Images produites par la génération.

Plus de modèles : Édition d’image

Pour les agents IA : cette page au format Markdown est disponible à l'adresse https://doitong.com/fr-FR/developers/models/bytedance/seedream/v5/pro/edit.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt